Package org.eclipse.m2m.atl.profiler.core.vm

## Interface IStackFrame

    public interface IStackFrame

An abstract definition of ATL VM stack frames.

### Method Summary

All Methods Instance Methods Abstract Methods
`IOperation` `getIOperation()` Returns the frame operation.
`java.util.Map<java.lang.String,​java.lang.Object>` `getLocalVariables()` Returns the local variables map.
`int` `getLocation()` Returns the current frame location.

### Method Detail

#### getIOperation

    IOperation getIOperation()

Returns the frame operation.

Returns:
  the frame operation

#### getLocalVariables

    java.util.Map<java.lang.String,​java.lang.Object> getLocalVariables()

Returns the local variables map.

Returns:
  the local variables map

#### getLocation

    int getLocation()

Returns the current frame location.

Returns:
  the current frame location